name: "Latex Build"
on:
  pull_request:
  push:
  workflow_dispatch:
jobs:
  build-latex:
    runs-on: nixos
    strategy:
      matrix:
        assignment: [
          "Assignment 4 - Protokollsicherheit (Praxis)",
          "Assignment 5 - Software Security - Teil 1",
          "Assignment 6 - Software Security - Teil 2"
        ]
    steps:
    - uses: actions/checkout@v3
    - run: "nix build .#\"${{ matrix.assignment }}\""
    - uses: actions/upload-artifact@v3
      with:
        name: "${{ matrix.assignment }}"
        path: result/abgabe.pdf
